Bug 817371 - openstack-keystone missing python-routes dependency
openstack-keystone missing python-routes dependency
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: openstack-keystone (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pádraig Brady
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-29 09:52 EDT by David Brown
Modified: 2016-01-04 09:43 EST (History)
10 users (show)

See Also:
Fixed In Version: openstack-quantum-2012.1-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-04 11:58:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Brown 2012-04-29 09:52:18 EDT
Description of problem:
Started following the instructions for EPEL Openstack Essex and ran into a python back trace.

Version-Release number of selected component (if applicable):
openstack-keystone-2012.1-2.el6.noarch

How reproducible:
Very

Steps to Reproduce:
1. Install base system with nobase
2. Follow instructions here http://fedoraproject.org/wiki/Getting_started_with_OpenStack_EPEL
3. When you get to the openstack-db keystone setup you get a python stack trace.
  
Actual results:
# openstack-db --init --service keystone
Please enter the password for the 'root' MySQL user: 
Verified connectivity to MySQL.
Creating 'keystone' database.
Asking openstack-keystone to sync the database.
Traceback (most recent call last):
  File "/usr/bin/keystone-manage", line 28, in <module>
    cli.main(argv=sys.argv, config_files=config_files)
  File "/usr/lib/python2.6/site-packages/keystone/cli.py", line 148, in main
    return run(cmd, (args[:1] + args[2:]))
  File "/usr/lib/python2.6/site-packages/keystone/cli.py", line 134, in run
    return CMDS[cmd](argv=args).run()
  File "/usr/lib/python2.6/site-packages/keystone/cli.py", line 36, in run
    return self.main()
  File "/usr/lib/python2.6/site-packages/keystone/cli.py", line 55, in main
    driver = utils.import_object(getattr(CONF, k).driver)
  File "/usr/lib/python2.6/site-packages/keystone/common/utils.py", line 63, in import_object
    cls = import_class(import_str)
  File "/usr/lib/python2.6/site-packages/keystone/common/utils.py", line 50, in import_class
    __import__(mod_str)
  File "/usr/lib/python2.6/site-packages/keystone/identity/__init__.py", line 17, in <module>
    from keystone.identity.core import *
  File "/usr/lib/python2.6/site-packages/keystone/identity/core.py", line 28, in <module>
    from keystone.common import wsgi
  File "/usr/lib/python2.6/site-packages/keystone/common/wsgi.py", line 29, in <module>
    import routes
ImportError: No module named routes
ERROR 1146 (42S02) at line 1: Table 'keystone.migrate_version' doesn't exist
Final sanity check failed.
Please file a bug report on bugzilla.redhat.com against the openstack-keystone package.


Expected results:
some small text registering the command succeeded.

Additional info:

The no module name routes is very apparent, seems some one forgot a dependency ;)
Comment 1 Fedora Update System 2012-04-29 19:57:18 EDT
openstack-quantum-2012.1-2.el6, python-routes1.12-1.12.3-4.el6, python-paste-deploy1.5-1.5.0-5.el6, python-novaclient-2012.1-1.el6, python-django-horizon-2012.1-3.el6, openstack-swift-1.4.8-2.el6, openstack-glance-2012.1-5.el6, openstack-nova-2012.1-4.el6, openstack-utils-2012.1-1.el6, python-quantumclient-2012.1-2.el6, python-keystoneclient-2012.1-2.el6, openstack-keystone-2012.1-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-5719/openstack-utils-2012.1-1.el6,python-quantumclient-2012.1-2.el6,python-keystoneclient-2012.1-2.el6,openstack-quantum-2012.1-2.el6,python-routes1.12-1.12.3-4.el6,python-paste-deploy1.5-1.5.0-5.el6,python-novaclient-2012.1-1.el6,python-django-horizon-2012.1-3.el6,openstack-swift-1.4.8-2.el6,openstack-keystone-2012.1-3.el6,openstack-glance-2012.1-5.el6,openstack-nova-2012.1-4.el6
Comment 2 Fedora Update System 2012-04-30 14:32:57 EDT
Package openstack-quantum-2012.1-2.el6, python-routes1.12-1.12.3-4.el6, python-paste-deploy1.5-1.5.0-5.el6, python-novaclient-2012.1-1.el6, python-django-horizon-2012.1-3.el6, openstack-swift-1.4.8-2.el6, openstack-glance-2012.1-5.el6, openstack-nova-2012.1-4.el6, openstack-utils-2012.1-1.el6, python-quantumclient-2012.1-2.el6, python-keystoneclient-2012.1-2.el6, openstack-keystone-2012.1-3.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing openstack-quantum-2012.1-2.el6 python-routes1.12-1.12.3-4.el6 python-paste-deploy1.5-1.5.0-5.el6 python-novaclient-2012.1-1.el6 python-django-horizon-2012.1-3.el6 openstack-swift-1.4.8-2.el6 openstack-glance-2012.1-5.el6 openstack-nova-2012.1-4.el6 openstack-utils-2012.1-1.el6 python-quantumclient-2012.1-2.el6 python-keystoneclient-2012.1-2.el6 openstack-keystone-2012.1-3.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-5719/openstack-utils-2012.1-1.el6,python-quantumclient-2012.1-2.el6,python-keystoneclient-2012.1-2.el6,openstack-quantum-2012.1-2.el6,python-routes1.12-1.12.3-4.el6,python-paste-deploy1.5-1.5.0-5.el6,python-novaclient-2012.1-1.el6,python-django-horizon-2012.1-3.el6,openstack-swift-1.4.8-2.el6,openstack-keystone-2012.1-3.el6,openstack-glance-2012.1-5.el6,openstack-nova-2012.1-4.el6
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-05-04 11:58:57 EDT
openstack-quantum-2012.1-2.el6, python-routes1.12-1.12.3-4.el6, python-paste-deploy1.5-1.5.0-5.el6, python-novaclient-2012.1-1.el6, python-django-horizon-2012.1-3.el6, openstack-swift-1.4.8-2.el6, openstack-glance-2012.1-5.el6, openstack-nova-2012.1-4.el6, openstack-utils-2012.1-1.el6, python-quantumclient-2012.1-2.el6, python-keystoneclient-2012.1-2.el6, openstack-keystone-2012.1-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.